aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2017-02-06 12:01:58 +0000
committerTimo Teräs <timo.teras@iki.fi>2017-02-06 12:57:18 +0000
commit8e7189a1617d04d056d6936f4924d8ea7b647dc0 (patch)
tree3044064387317766ceef948a7d2883950ebdf8fc
parentfe446bf1c53d01c5847554af49e91cc2575c1038 (diff)
downloadaports-8e7189a1617d04d056d6936f4924d8ea7b647dc0.tar.gz
aports-8e7189a1617d04d056d6936f4924d8ea7b647dc0.tar.bz2
aports-8e7189a1617d04d056d6936f4924d8ea7b647dc0.tar.xz
main/nss: add nss-softokn and nss-util pkgconfig files
-rw-r--r--main/nss/APKBUILD32
-rw-r--r--main/nss/nss-softokn.pc.in11
-rw-r--r--main/nss/nss-util.pc.in11
3 files changed, 42 insertions, 12 deletions
diff --git a/main/nss/APKBUILD b/main/nss/APKBUILD
index 9822ac2030..66404e7116 100644
--- a/main/nss/APKBUILD
+++ b/main/nss/APKBUILD
@@ -3,7 +3,7 @@
pkgname=nss
pkgver=3.28.1
_ver=${pkgver//./_}
-pkgrel=0
+pkgrel=1
pkgdesc="Mozilla Network Security Services"
url="http://www.mozilla.org/projects/security/pki/nss/"
arch="all"
@@ -13,6 +13,8 @@ makedepends="nspr-dev sqlite-dev zlib-dev perl bsd-compat-headers"
subpackages="$pkgname-dev $pkgname-tools"
source="http://ftp.mozilla.org/pub/security/$pkgname/releases/NSS_${_ver}_RTM/src/$pkgname-$pkgver.tar.gz
nss.pc.in
+ nss-util.pc.in
+ nss-softokn.pc.in
nss-config.in
add_spi+cacert_ca_certs.patch
"
@@ -59,7 +61,7 @@ package() {
install -m755 -d "$pkgdir"/usr/lib/pkgconfig
install -m755 -d "$pkgdir"/usr/bin
- install -m755 -d "$pkgdir"/usr/include/nss
+ install -m755 -d "$pkgdir"/usr/include/nss/private
NSS_VMAJOR=`awk '/#define.*NSS_VMAJOR/ {print $3}' nss/lib/nss/nss.h `
msg "DEBUG: $NSS_VMAJOR"
@@ -67,15 +69,19 @@ package() {
NSS_VPATCH=`awk '/#define.*NSS_VPATCH/ {print $3}' nss/lib/nss/nss.h`
# pkgconfig files
- sed "$srcdir"/nss.pc.in \
- -e "s,%libdir%,/usr/lib,g" \
- -e "s,%prefix%,/usr,g" \
- -e "s,%exec_prefix%,/usr/bin,g" \
- -e "s,%includedir%,/usr/include/nss,g" \
- -e "s,%NSPR_VERSION%,$pkgver,g" \
- -e "s,%NSS_VERSION%,$pkgver,g" \
- > "$pkgdir"/usr/lib/pkgconfig/nss.pc \
- || return 1
+ local _pc; for _pc in nss.pc nss-util.pc nss-softokn.pc; do
+ sed "$srcdir"/${_pc}.in \
+ -e "s,%libdir%,/usr/lib,g" \
+ -e "s,%prefix%,/usr,g" \
+ -e "s,%exec_prefix%,/usr/bin,g" \
+ -e "s,%includedir%,/usr/include/nss,g" \
+ -e "s,%SOFTOKEN_VERSION%,$pkgver,g" \
+ -e "s,%NSPR_VERSION%,$pkgver,g" \
+ -e "s,%NSS_VERSION%,$pkgver,g" \
+ -e "s,%NSSUTIL_VERSION%,$pkgver,g" \
+ > "$pkgdir"/usr/lib/pkgconfig/${_pc} \
+ || return 1
+ done
ln -sf nss.pc "$pkgdir"/usr/lib/pkgconfig/mozilla-nss.pc || return 1
chmod 644 "$pkgdir"/usr/lib/pkgconfig/*.pc || return 1
@@ -98,7 +104,7 @@ package() {
"$pkgdir"/usr/lib/${file}.$minor || return 1
ln -s $file.$minor "$pkgdir"/usr/lib/$file
done
- install -m644 dist/*.OBJ/lib/libcrmf.a "$pkgdir"/usr/lib/ \
+ install -m644 dist/*.OBJ/lib/libcrmf.a dist/*.OBJ/lib/libfreebl.a "$pkgdir"/usr/lib/ \
|| return 1
install -m644 dist/*.OBJ/lib/*.chk "$pkgdir"/usr/lib/ \
|| return 1
@@ -110,6 +116,8 @@ package() {
done
install -m644 dist/public/nss/*.h "$pkgdir"/usr/include/nss/ \
|| return 1
+ install -m644 dist/private/nss/blapi.h dist/private/nss/alghmac.h "$pkgdir"/usr/include/nss/private/ \
+ || return 1
}
dev() {
diff --git a/main/nss/nss-softokn.pc.in b/main/nss/nss-softokn.pc.in
new file mode 100644
index 0000000000..50485ac13f
--- /dev/null
+++ b/main/nss/nss-softokn.pc.in
@@ -0,0 +1,11 @@
+prefix=%prefix%
+exec_prefix=%exec_prefix%
+libdir=%libdir%
+includedir=%includedir%
+
+Name: NSS-SOFTOKN
+Description: Network Security Services Softoken PKCS #11 Module
+Version: %SOFTOKEN_VERSION%
+Requires: nspr >= %NSPR_VERSION%, nss-util >= %NSSUTIL_VERSION%
+Libs: -lfreebl3 -lnssdbm3 -lsoftokn3
+Cflags: -I${includedir}/private
diff --git a/main/nss/nss-util.pc.in b/main/nss/nss-util.pc.in
new file mode 100644
index 0000000000..1310248e94
--- /dev/null
+++ b/main/nss/nss-util.pc.in
@@ -0,0 +1,11 @@
+prefix=%prefix%
+exec_prefix=%exec_prefix%
+libdir=%libdir%
+includedir=%includedir%
+
+Name: NSS-UTIL
+Description: Network Security Services Utility Library
+Version: %NSSUTIL_VERSION%
+Requires: nspr >= %NSPR_VERSION%
+Libs: -L${libdir} -lnssutil3
+Cflags: -I${includedir}